\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{lipreport}[1998/02/02 LIP Technical Report style]

\DeclareOption{a4paper}{\OptionNotUsed}
\DeclareOption{letterpaper}{\OptionNotUsed}
\DeclareOption{a5paper}{\OptionNotUsed}
\DeclareOption{b5paper}{\OptionNotUsed}
\DeclareOption{landscape}{\OptionNotUsed}
\DeclareOption{legalpaper}{\OptionNotUsed}
\DeclareOption{executivepaper}{\OptionNotUsed}


%% Record driver option (standard LaTeX2e, cf. `LaTeX Companion' p.317)
%% Thanks to Kristoffer Rose.
 
\def\Driver@ption{\OptionNotUsed\edef\DRIVER@@{[\CurrentOption]}}
\def\DRIVER@@{[dvips]}
 
\DeclareOption{cmactex}{\Driver@ption}
\DeclareOption{dvips}{\Driver@ption}
\DeclareOption{dvitops}{\Driver@ption}
\DeclareOption{emtex}{\Driver@ption}
\DeclareOption{ln}{\Driver@ption}
\DeclareOption{oztex}{\Driver@ption}
\DeclareOption{textures}{\Driver@ption}
\DeclareOption{xdvi}{\Driver@ption}


\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\LoadClass[a4paper]{article}


\expandafter\RequirePackage\DRIVER@@{liplogos}

\RequirePackage[francais,english]{babel}
\selectlanguage{english}
\RequirePackage{ae,aeguill}
\RequirePackage{lipstyle}


